Create Permission

Adds a new Permission.

POST
/v2/manage/permissions

Adds a new Permission.

Authorization

apikey<token>

Tenant API Key for authentication

In: query

apisecret<token>

Tenant API Secret for authentication

In: query

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.loginradius.com/v2/manage/permissions" \  -H "Content-Type: application/json" \  -d '{    "Name": "read:users"  }'
{
  "Id": "perm_2enk23n3",
  "Name": "read:users",
  "Description": "Read users data",
  "ResourceId": "507f1f77bcf86cd799439011",
  "CreatedDate": "2025-02-18T12:18:38.270Z",
  "ModifiedDate": "2025-02-18T12:19:12.255Z"
}

{
  "ErrorCode": 7914,
  "Message": "Post body is invalid",
  "Description": "Please use a valid post body in JSON format."
}

{
  "Message": "Access Unauthorized",
  "Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
  "ErrorCode": 6002
}
{
  "ErrorCode": 8120,
  "Message": "Duplicate Permission name",
  "Description": "Duplicate Permission name, Please provide valid Permission name."
}
{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}